Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.entity.ai
Class EntityAIControlledByPlayer

    java.lang.Object
      net.minecraft.entity.ai.EntityAIBase
          net.minecraft.entity.ai.EntityAIControlledByPlayer

    public class EntityAIControlledByPlayer

extends EntityAIBase

Constructor Summary
`EntityAIControlledByPlayer(EntityLiving par1EntityLiving, float par2)`

Method Summary
`void` | `boostSpeed()` Boost the entity's movement speed.
`boolean` | `isControlledByPlayer()` Return whether the entity is being controlled by a player.
`boolean` | `isSpeedBoosted()` Return whether the entity's speed is boosted.
`void` | `resetTask()` Resets the task
`boolean` | `shouldExecute()` Returns whether the EntityAIBase should begin execution.
`void` | `startExecuting()` Execute a one shot task or start executing a continuous task
`void` | `updateTask()` Updates the task

Methods inherited from class net.minecraft.entity.ai.EntityAIBase
`continueExecuting, getMutexBits, isContinuous, setMutexBits`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityAIControlledByPlayer

    public EntityAIControlledByPlayer(EntityLiving par1EntityLiving,
                                      float par2)

Method Detail

### startExecuting

    public void startExecuting()

  Execute a one shot task or start executing a continuous task

  Overrides:
    `startExecuting` in class `EntityAIBase`

### resetTask

    public void resetTask()

  Resets the task

  Overrides:
    `resetTask` in class `EntityAIBase`

### shouldExecute

    public boolean shouldExecute()

  Returns whether the EntityAIBase should begin execution.

  Specified by:
    `shouldExecute` in class `EntityAIBase`

### updateTask

    public void updateTask()

  Updates the task

  Overrides:
    `updateTask` in class `EntityAIBase`

### isSpeedBoosted

    public boolean isSpeedBoosted()

  Return whether the entity's speed is boosted.

### boostSpeed

    public void boostSpeed()

  Boost the entity's movement speed.

### isControlledByPlayer

    public boolean isControlledByPlayer()

  Return whether the entity is being controlled by a player.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD